package domain

type AlibabaHmMarketingItempoolRemoveitemCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步渠道配置     */
	ChannelConfigList *[]AlibabaHmMarketingItempoolRemoveitemChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaHmMarketingItempoolRemoveitemCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingItempoolRemoveitemCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingItempoolRemoveitemCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingItempoolRemoveitemCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingItempoolRemoveitemCommonActivityParam) SetByChannel(v bool) *AlibabaHmMarketingItempoolRemoveitemCommonActivityParam {
	s.ByChannel = &v
	return s
}
func (s *AlibabaHmMarketingItempoolRemoveitemCommonActivityParam) SetChannelConfigList(v []AlibabaHmMarketingItempoolRemoveitemChannelConfig) *AlibabaHmMarketingItempoolRemoveitemCommonActivityParam {
	s.ChannelConfigList = &v
	return s
}
